/*****************************************************************************
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __RNXV_H
#define __RNXV_H

/******************************************************************************
 * Includes
 *****************************************************************************/

#include "error.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/



/******************************************************************************
 * Prototypes
 *****************************************************************************/

error_t rnxv_init(uint8_t* ssid, uint8_t* srcIp, uint16_t srcPort,
    uint8_t* destIp, uint16_t destPort, uint8_t* mask);


uint32_t rnxv_receive(uint8_t* buf, uint32_t len);

uint32_t rnxv_send(uint8_t *txbuf, uint32_t buflen);

#endif /* end __RNXV_H */



