/*****************************************************************************
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __AN2500R24A_H
#define __AN2500R24A_H

/******************************************************************************
 * Includes
 *****************************************************************************/

#include "error.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/




/******************************************************************************
 * Prototypes
 *****************************************************************************/

error_t an2500_init(void);
uint8_t an2500_send(uint8_t* buf, uint8_t len, uint8_t destination);
uint8_t an2500_receive(uint8_t* buf, uint8_t len);

#endif /* end __AN2500R24A_H */



